/* START BRANDS */

.internal-section-brands {
    width: 100%;
    max-width: 1316px;
    margin: auto;
    padding: 40px 32px;
}

/* List background color: white */
.brands.white {
    background-color: var(--background-list-white);
}
/* List background color: grey */
.brands.grey {
    background-color: var(--background-list-grey);
}
/* List background color: dark-grey */
.brands.dark-grey {
    background-color: var(--background-list-dark-grey);
}

/* Title row */
.brands .title-row {
    width: 100%;
    text-align: center;
    font-size: var(--text-xl);
    letter-spacing: 1px;
    color: var(--color-primary-blue);
    font-family: var(--font-frutiger-bold);
}

/* Filter row */
.brands .filter-row {
    display: flex;
    justify-content: end;
    align-items: end;
    width: 100%;
    margin-bottom: 50px;
}

/* Brads Grid - desktop view */
.brands .grid.desktop-view {
    display: flex;
    flex-wrap: wrap;
    justify-content: start;
    width: 100%;
}

/* Brands Carousel - Tablet Swiper */
.brands .tablet-swiper-view {
    display: flex;
}

.brands .generic-swiper .brand-card {
    display: flex;
    flex-shrink: 0;
    width: 243px;
    max-width: 243px;
    height: 243px;
    scroll-snap-align: start;
}
/* Brands Carousel - Mobile */
.brands .mobile-slider-view {
    display: none;
}

.brands .generic-slider .brand-card {
    display: flex;
    flex-shrink: 0;
    width: 172px;
    max-width: 172px;
    height: 172px;
    scroll-snap-align: start;
}

/* Card */
.brands .brand-card {
    display: flex;
    flex-wrap: wrap;
    justify-content: center;
    align-items: center;
    width: 243px;
    height: 243px;
    border-radius: 50%;
    border: 1px solid rgba(5, 54, 95, .12);
    text-decoration: none;
    cursor: pointer;
    transition: all .2s linear;
}

.brands .brand-card:hover {
    background-color: white;
}

.brands .brand-card:hover .inner-card .name p {
    color: black;
    font-family: var(--font-frutiger-bold);
}

.brands .brand-card .inner-card {
    display: flex;
    flex-direction: column;
    justify-content: space-between;
    align-items: center;
    width: 100%;
    height: 100%;
}

.brands .brand-card .inner-card .logo {
    display: flex;
    justify-content: center;
    align-items: center;
    width: 60%;
    height: 40%;
    max-width: 171px;
    margin-top: 60px;
}

.brands .brand-card .inner-card .logo picture {
    width: 100%;
    height: 100%;
}

.brands .brand-card .inner-card .logo img {
    object-fit: contain;
    width: 100%;
    height: 100%;
}

.brands .brand-card .inner-card .name {
    width: 65%;
    margin-bottom: 32px;
    text-align: center;
    transition: color .3s linear;
}

.brands .brand-card .inner-card .name p {
    color: var(--color-text-grey);
}

/* Button row */
.brands .button-row {
    display: flex;
    justify-content: center;
    align-items: center;
    width: 100%;
}

.brands .button-row .view-all-button {
    display: flex;
    justify-content: center;
    align-items: center;
    width: 100%;
    gap: 5px;
    text-decoration: none;
}

.brands .button-row .view-all-button p {
    font-size: var(--text-xs);
    color: #000000;
    font-weight: 600;
}

.brands .button-row .view-all-button .arrow {
    display: flex;
    justify-content: center;
    align-items: center;
    width: 9px;
    height: 9px;
}

.brands .button-row .view-all-button .arrow img {
    width: 100%;
    object-fit: cover;
}

.brands .button-row .view-all-button:hover .arrow {
    transform: translateX(5px);
    transition: transform 0.3s ease;
}



/* END BRANDS */

/* START MEDIA QUERY */

/* Tablet */
@media (max-width: 767px) {
    .brands .brand-card .inner-card .logo {
        margin-top: 46px;
    }

    .brands .grid.desktop-view {
        justify-content: center;
    }

    .brands .brand-card {
        width: 176px;
        height: 176px;
    }

    .brands .brand-card .inner-card .name {
        margin-bottom: 20px;
    }

    /* Brands Carousel - Tablet Swiper */
    .brands .tablet-swiper-view {
        display: none;
    }
    /* Brands Carousel - Mobile */
    .brands .mobile-slider-view {
        display: flex;
    }

    /* Button row */
    .brands .button-row .view-all-button:hover .arrow {
        transform: unset;
        transition: unset;
    }

}

@media (max-width: 576px) {
    .brands .brand-card .inner-card .logo {
        margin-top: 43px;
    }

    .internal-section-brands {
        padding: 40px 16px;
    }

    .brands .title-row {
        font-size: var(--text-xxxxm);
    }
}
/* END MEDIA QUERY */